> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talentunveiled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call

> Retrieve a single call by ID, including transcript.



## OpenAPI

````yaml /swagger/v1_schema.yaml get /calls/{call_id}
openapi: 3.0.3
info:
  title: TalentUnveiled Public API
  version: 1.0.0
  description: API documentation for TalentUnveiled endpoints
servers:
  - url: https://api.talentunveiled.com/api/v1
    description: Production server
security: []
paths:
  /calls/{call_id}:
    get:
      tags:
        - TalentUnveiled Public API
      summary: Get Call
      description: Retrieve a single call by ID, including transcript.
      operationId: calls_retrieve
      parameters:
        - in: path
          name: call_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCall'
          description: ''
      security:
        - apiKeyAuth: []
        - {}
components:
  schemas:
    PublicCall:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        provider:
          allOf:
            - $ref: '#/components/schemas/ProviderEnum'
          readOnly: true
          description: |-
            Call provider (denormalized from profile)

            * `vapi` - VAPI
        status:
          allOf:
            - $ref: '#/components/schemas/CallStatusEnum'
          readOnly: true
          description: |-
            Current call status

            * `pending` - Pending
            * `scheduled` - Scheduled
            * `queued` - Queued
            * `in_progress` - In Progress
            * `completed` - Completed
            * `failed` - Failed
            * `cancelled` - Cancelled
        ended_reason:
          allOf:
            - $ref: '#/components/schemas/EndedReasonEnum'
          readOnly: true
          nullable: true
          description: |-
            Categorized reason why call ended

            * `assistant_ended` - Assistant Ended Call
            * `customer_ended` - Customer Ended Call
            * `max_duration` - Max Duration Reached
            * `silence_timeout` - Silence Timeout
            * `customer_busy` - Customer Busy
            * `customer_no_answer` - Customer Did Not Answer
            * `voicemail` - Voicemail Reached
            * `assistant_error` - Assistant Error
            * `pipeline_error` - Pipeline Error
            * `provider_error` - Provider Error
            * `manually_canceled` - Manually Canceled
            * `forwarded` - Call Forwarded
            * `unknown` - Unknown
        recording_audio_url:
          type: string
          nullable: true
          readOnly: true
        recording_video_url:
          type: string
          nullable: true
          readOnly: true
        transcript:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
      required:
        - ended_reason
        - id
        - provider
        - recording_audio_url
        - recording_video_url
        - status
        - transcript
    ProviderEnum:
      enum:
        - vapi
      type: string
      description: '* `vapi` - VAPI'
    CallStatusEnum:
      enum:
        - pending
        - scheduled
        - queued
        - in_progress
        - completed
        - failed
        - cancelled
      type: string
      description: |-
        * `pending` - Pending
        * `scheduled` - Scheduled
        * `queued` - Queued
        * `in_progress` - In Progress
        * `completed` - Completed
        * `failed` - Failed
        * `cancelled` - Cancelled
    EndedReasonEnum:
      enum:
        - assistant_ended
        - customer_ended
        - max_duration
        - silence_timeout
        - customer_busy
        - customer_no_answer
        - voicemail
        - assistant_error
        - pipeline_error
        - provider_error
        - manually_canceled
        - forwarded
        - unknown
      type: string
      description: |-
        * `assistant_ended` - Assistant Ended Call
        * `customer_ended` - Customer Ended Call
        * `max_duration` - Max Duration Reached
        * `silence_timeout` - Silence Timeout
        * `customer_busy` - Customer Busy
        * `customer_no_answer` - Customer Did Not Answer
        * `voicemail` - Voicemail Reached
        * `assistant_error` - Assistant Error
        * `pipeline_error` - Pipeline Error
        * `provider_error` - Provider Error
        * `manually_canceled` - Manually Canceled
        * `forwarded` - Call Forwarded
        * `unknown` - Unknown
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication for the public API. Pass your API key as a Bearer
        token.

````